Public Member Functions
com.ugrokit.api.UgiTagCell Class Reference

## Overview

View to be used as a list item, with title text, detail text an a graphical display of the tag's read history (using UgiTagReadHistoryView)

## Public Member Functions
UgiTag | getDisplayTag ()
| Get the tag that we are displaying read history for. More...
void | setDisplayTag (UgiTag displayTag)
| Set the tag to display read history for. More...
int | getThemeColorOverride ()
| Get the color to use (for the graphical display of the tag's read history) More...
void | setThemeColorOverride (int color)
| Set the color to use (for the graphical display of the tag's read history) More...
| UgiTagCell (Context context, AttributeSet attrs)
| Constructor. More...
String | getTitle ()
| Get the title text. More...
void | setTitle (String s)
| Set the title text. More...
String | getDetail ()
| Get the detail text. More...
void | setDetail (String s)
| Set the detail text. More...
void | updateHistoryView ()
| Force the history view to update.

## Member Function Documentation

## ◆ getDisplayTag()

UgiTag com.ugrokit.api.UgiTagCell.getDisplayTag | ( |  | ) |

Get the tag that we are displaying read history for.

Returns
  The tag

## ◆ setDisplayTag()

void com.ugrokit.api.UgiTagCell.setDisplayTag | ( | UgiTag | displayTag | ) |

Set the tag to display read history for.

Parameters

  displayTag | The tag to set

## ◆ getThemeColorOverride()

int com.ugrokit.api.UgiTagCell.getThemeColorOverride | ( |  | ) |

Get the color to use (for the graphical display of the tag's read history)

Returns
  The color

## ◆ setThemeColorOverride()

void com.ugrokit.api.UgiTagCell.setThemeColorOverride | ( | int | color | ) |

Set the color to use (for the graphical display of the tag's read history)

Parameters

  color | The color

## ◆ getTitle()

String com.ugrokit.api.UgiTagCell.getTitle | ( |  | ) |

Get the title text.

Returns
  The title text

## ◆ setTitle()

void com.ugrokit.api.UgiTagCell.setTitle | ( | String | s | ) |

Set the title text.

Parameters

  s | New title text

## ◆ getDetail()

String com.ugrokit.api.UgiTagCell.getDetail | ( |  | ) |

Get the detail text.

Returns
  The detail text

## ◆ setDetail()

void com.ugrokit.api.UgiTagCell.setDetail | ( | String | s | ) |

Set the detail text.

If null then the detail text view is hidden

Parameters

  s | New detail text

## Constructor & Destructor Documentation

## ◆ UgiTagCell()

com.ugrokit.api.UgiTagCell.UgiTagCell | ( | Context | context,
|  | AttributeSet | attrs
| ) |  |

Constructor.

Parameters

  context | Context
  attrs | Attributes